Obtener sucursal por id
curl --request GET \
--url https://rest.yafacture.com/sucursales/{_id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.yafacture.com/sucursales/{_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.yafacture.com/sucursales/{_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rest.yafacture.com/sucursales/{_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://rest.yafacture.com/sucursales/{_id}")
.header("x-api-key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rest.yafacture.com/sucursales/{_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"emisorId": "<string>",
"emisorPropiedadId": "<string>",
"nombre": "<string>",
"alias": "<string>",
"telefono": "<string>",
"email": "<string>",
"fechaCreacion": "2023-11-07T05:31:56Z",
"fechaActualizacion": "2023-11-07T05:31:56Z",
"status": true
}
]{
"message": "Forbidden resource",
"error": "Forbidden",
"statusCode": 403
}Sucursales
Obtener sucursal por id
GET
/
sucursales
/
{_id}
Obtener sucursal por id
Authorizations
x-api-keybearer
X-API-Key authentication header for the development token generated in Yafacture
Path Parameters
Query Parameters
Response
Identificador único del emisor
Identificador de la propiedad ligada al emisor
Nombre de la sucursal
Alias o clave de la sucursal
Teléfono
Correos electrónico
Fecha de creación del registro
Fecha de última actualización del registro
Estado de la sucursal

